Categories:
  - Reading
License: GPL-3.0-only
AuthorName: hotlittlewhitedog
SourceCode: https://gitlab.com/hotlittlewhitedog/BibleTheLife
IssueTracker: https://gitlab.com/hotlittlewhitedog/BibleTheLife/-/issues
Changelog: https://gitlab.com/hotlittlewhitedog/BibleTheLife/-/raw/HEAD/CHANGELOG

AutoName: The Life

RepoType: git
Repo: https://gitlab.com/hotlittlewhitedog/BibleTheLife.git

Builds:
  - versionName: 1.0.1
    versionCode: 20200320
    commit: v1.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.0
    versionCode: 20200521
    commit: v1.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.2.0
    versionCode: 20200726
    commit: v1.2.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.1
    versionCode: 20200930
    commit: v1.3.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0
    versionCode: 20201014
    commit: v1.4.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.5.0
    versionCode: 20201019
    commit: v1.5.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.6.0
    versionCode: 20201025
    commit: v1.6.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.7.0
    versionCode: 20201102
    commit: v1.7.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.8.0
    versionCode: 20201111
    commit: v1.8.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.9.0
    versionCode: 20201217
    commit: v1.9.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.10.0
    versionCode: 20210317
    commit: v1.10.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.16.3
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter pub get
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.11.0
    versionCode: 20210923
    commit: a6c38a534db3eabfeb068e06ca050be8f277fce2
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - macos
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.12.0
    versionCode: 20211005
    commit: 8c7d3556b16d9375e376ce1db24eb520c2666a4c
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - macos
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.13.0
    versionCode: 20211010
    commit: d6ca49d0b1df723d6e3f39c5090db44b76137beb
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - macos
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.14.0
    versionCode: 20211021
    commit: e0e8927620eb498a3e8963514a767dc7316a4a5b
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - macos
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.15.0
    versionCode: 20211118
    commit: 0f34326a22b415a887b8dcd874c2fb629ea21bab
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - macos
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.18.0
    versionCode: 20220116
    commit: b5da8fb56c618485b6b48f7875d942b94348f590
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - apk
      - ios
      - linux
      - macos
      - snap
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.19.0
    versionCode: 20220526
    commit: f5d34f062e023a4526dc7bf8640e901f46f74ca1
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.2
    rm:
      - apk
      - ios
      - linux
      - macos
      - snap
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.19.0
CurrentVersionCode: 20220526
